Page MenuHomePhabricator

Un-redirected items should be instant-indexed
Closed, ResolvedPublic

Description

When a new item is created, we have functionality to instant-index it synchronously, even if with partial information, so it appears quickly in the index. However, this does not happen when the item is converted from redirect to non-redirect (this usually happens when merge is being undone). Since we do not index redirected items, the action on un-redirecting is essentially analogous to creating a new item, so we should provide same instant-indexing in this case.

E.g. for https://www.wikidata.org/wiki/Q17292367 redirect was removed at 19:34, 4 October 2018 but it appeared in the index only 10 minutes later, which makes it hard to work with such item, since the search is very basic need for using item in Wikidata UI.

Event Timeline

Smalyshev created this task.Oct 4 2018, 7:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2018, 7:57 PM

Alternatively, we might have wbsearchentities just check if we've got no results and the query looks like a valid Q-id, just check in the database directly for such title.

ContentHandler::getChangeType() may be useful to find out when un-redirect happens.

EBjune triaged this task as Normal priority.Oct 11 2018, 5:06 PM
EBjune moved this task from needs triage to Up Next on the Discovery-Search board.

Change 514397 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseCirrusSearch@master] Combine Elastic search with ID lookup search

https://gerrit.wikimedia.org/r/514397

Change 514397 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] Combine Elastic search with ID lookup search

https://gerrit.wikimedia.org/r/514397

debt closed this task as Resolved.Jun 21 2019, 2:18 PM